from os import path
import __main__

OUTDIR = "out"
SCRIPT_FILENAME = path.split(__main__.__file__)[1]
OUTPUT_FILESTEM = path.join(OUTDIR, path.splitext(SCRIPT_FILENAME)[0])

def with_extension(ext: str):
    return path.join(OUTDIR, path.splitext(SCRIPT_FILENAME)[0] + f".{ext}")


OUTPUT_TEXFILE = with_extension("tex")


STANDALONE_PRELUDE = r"""
\documentclass[class=memoir]{standalone}
\usepackage{../../includes/common_includes}

\usepackage{xcolor}
\definecolor{lssblue}{rgb}{0.121,0.231,0.4}
\definecolor{lssred}{rgb}{0.76,0.3,0.19}
\definecolor{lssgreen}{HTML}{1F6622}

\begin{document}
"""

STANDALONE_POSTLUDE = r"""
\end{document}"""

def wrap_standalone(latex):
    return STANDALONE_PRELUDE + latex + STANDALONE_POSTLUDE

def write_standalone(latex):
    latex = wrap_standalone(latex)

    with open(OUTPUT_TEXFILE, 'w') as outfile:
        outfile.write(latex)

def get_figname():
    return path.splitext(SCRIPT_FILENAME)[0]

def export_figure(fig):
    pgf_file = with_extension("pgf")
    fig.savefig(pgf_file)
    write_standalone(f"\\input{{{path.split(pgf_file)[-1]}}}")

centimeter = 1 / 2.54
